org.apache.regexp

## Class RESyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.regexp.RESyntaxException

- All Implemented Interfaces:
    java.io.Serializable

      public class RESyntaxException
      extends java.lang.RuntimeException

  Exception thrown to indicate a syntax error in a regular expression. This is a non-checked exception because you should only have problems compiling a regular expression during development. If you are making regular expresion programs dynamically then you can catch it if you wish. But should not be forced to.
  Version:
    $Id: RESyntaxException.java 518156 2007-03-14 14:31:26Z vgritsenko $
  Author:
    Jonathan Locke, See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RESyntaxException(java.lang.String s)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RESyntaxException

          public RESyntaxException(java.lang.String s)

      Constructor.
      Parameters:
        `s` - Further description of the syntax error

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.